summaryrefslogtreecommitdiffstats
path: root/envsetup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'envsetup.sh')
-rw-r--r--envsetup.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/envsetup.sh b/envsetup.sh
index ae1e4c5..e1dd6ea 100644
--- a/envsetup.sh
+++ b/envsetup.sh
@@ -540,6 +540,15 @@ function lunch()
check_product $product
if [ $? -ne 0 ]
then
+ # if we can't find a product, try to grab it off the CM github
+ T=$(gettop)
+ pushd $T > /dev/null
+ build/tools/roomservice.py $product
+ popd > /dev/null
+ check_product $product
+ fi
+ if [ $? -ne 0 ]
+ then
echo
echo "** Don't have a product spec for: '$product'"
echo "** Do you have the right repo manifest?"